Package org.apache.qpid.proton.engine

# Interface ProtonJSession

All Superinterfaces:
  `Endpoint`, `Extendable`, `ProtonJEndpoint`, `Session`

All Known Implementing Classes:
  `SessionImpl`

public interface ProtonJSession extends Session, ProtonJEndpoint
Extends `Session` with functionality that is specific to proton-j

## Method Summary

Modifier and Type
Method
Description
`Sender`
`sender(String name)`
Returns a newly created sender endpoint

### Methods inherited from interface org.apache.qpid.proton.engine.Endpoint

`close, free, getCondition, getContext, getLocalState, getRemoteCondition, getRemoteState, open, setCondition, setContext`

### Methods inherited from interface org.apache.qpid.proton.engine.Extendable

`attachments`

### Methods inherited from interface org.apache.qpid.proton.engine.Session

`getConnection, getDesiredCapabilities, getIncomingBytes, getIncomingCapacity, getOfferedCapabilities, getOutgoingBytes, getOutgoingWindow, getProperties, getRemoteDesiredCapabilities, getRemoteOfferedCapabilities, getRemoteProperties, next, receiver, setDesiredCapabilities, setIncomingCapacity, setOfferedCapabilities, setOutgoingWindow, setProperties`

## Method Details

### sender

Sender sender(String name)
Description copied from interface: `Session`
Returns a newly created sender endpoint

Specified by:
  `sender` in interface `Session`